apiVersion: v1
kind: Service
metadata: 
  name: sample-lb
spec: 
  type: LoadBalancer
  ports: 
    - name: "http-port"
      protocol: "TCP"
      port: 8080
      targetPort: 80
      nodePort: 30082
  selector:
    app: sample-app
